lzma2_encoder.h File Reference

LZMA2 encoder. More...

`#include "common.h"`

## Macros

#define | LZMA2_CHUNK_MAX (UINT32_C(1) << 16)
| Maximum number of bytes of actual data per chunk (no headers) More...
#define | LZMA2_UNCOMPRESSED_MAX (UINT32_C(1) << 21)
| Maximum uncompressed size of LZMA chunk (no headers) More...
#define | LZMA2_HEADER_MAX 6
| Maximum size of LZMA2 headers. More...
#define | LZMA2_HEADER_UNCOMPRESSED 3
| Size of a header for uncompressed chunk. More...

## Functions

lzma_ret | lzma_lzma2_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
uint64_t | lzma_lzma2_encoder_memusage (const void *options)
lzma_ret | lzma_lzma2_props_encode (const void *options, uint8_t *out)
uint64_t | lzma_lzma2_block_size (const void *options)

## Detailed Description

LZMA2 encoder.

## Macro Definition Documentation

## LZMA2_CHUNK_MAX

#define LZMA2_CHUNK_MAX (UINT32_C(1) << 16)

Maximum number of bytes of actual data per chunk (no headers)

## LZMA2_UNCOMPRESSED_MAX

#define LZMA2_UNCOMPRESSED_MAX (UINT32_C(1) << 21)

Maximum uncompressed size of LZMA chunk (no headers)

## LZMA2_HEADER_MAX

#define LZMA2_HEADER_MAX 6

Maximum size of LZMA2 headers.

## LZMA2_HEADER_UNCOMPRESSED

#define LZMA2_HEADER_UNCOMPRESSED 3

Size of a header for uncompressed chunk.